package com.ss.android.ugc.aweme.compliance.privacy.settings.video.base;

import X.M12;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.base.api.BaseResponse;
import com.ss.android.ugc.aweme.compliance.privacy.settings.base.BasePrivacySettingViewModel;
import com.ss.android.ugc.aweme.feed.model.Aweme;
import kotlin.h.b.n;

public abstract class BaseVideoPrivacySettingViewModel extends BasePrivacySettingViewModel {
    public Aweme LIZ;

    static {
        Covode.recordClassIndex(61887);
    }

    public abstract int LIZIZ();

    public abstract void LIZLLL(int i);

    public final Aweme LIZ() {
        Aweme aweme = this.LIZ;
        if (aweme == null) {
            n.LIZ("");
        }
        return aweme;
    }

    public final void LIZ(Aweme aweme) {
        M12.LIZ(aweme);
        this.LIZ = aweme;
        this.LJ.setValue(Integer.valueOf(LIZIZ()));
    }

    public void LIZ(int i, BaseResponse baseResponse) {
        M12.LIZ(baseResponse);
        LIZLLL(i);
        super.LIZ(i, baseResponse);
    }
}
